import { CurrentClientDevice } from '../../../utils/ClientChecker/types/currentClientDevice';
import { DisplayChecker } from '../../../utils/ClientChecker/services/DisplayChecker';
import { Checker } from '../../../utils/ClientChecker/types/checker';
export interface OS {
    name: string;
    version: string;
    full: string;
}
export interface DeviceDetails {
    vendor: string;
    model: string;
}
export declare class DeviceChecker implements Checker {
    private _displayChecker;
    private _isMobile;
    private _current;
    private _iosVersion;
    private _highEntropyValues;
    private _os;
    private _details;
    constructor(displayChecker: DisplayChecker);
    get current(): CurrentClientDevice;
    get os(): OS;
    get details(): DeviceDetails;
    get isIOS(): boolean;
    get isMac(): boolean;
    get isApple(): boolean;
    get isIphoneOrOldIpad(): boolean;
    get isAndroid(): boolean;
    get isWindows(): boolean;
    get isLinux(): boolean;
    get isMobile(): boolean;
    get iOSVersion(): number | undefined;
    detect(): void;
    private detectHighEntropyValues;
    private detectDevice;
    private detectOS;
    private normalizeOSName;
    private normalizeOSVersion;
    private detectDeviceDetails;
    private normalizeVendorName;
    private normalizeModelName;
    private detectIOSVersion;
}
